サブスクリプションの作成
ストリームを作成したら、メトリクスとイベントデータをデータコレクタに送信するサブスクリプションを作成します。
サポートされるデータコレクタ:
| データコレクタ | イベント | メトリクス |
|---|---|---|
| Datadog | サポート対象 | サポート対象 |
| Google Pub/Sub | サポート対象 | サポート対象 |
| グラファナ・ウェブフック | サポート対象 | サポート対象 |
| マイクロソフトチーム | サポート対象 | サポート対象 |
| PagerDuty | サポート対象 | サポートされていません |
| 今すぐサービス | サポート対象 | サポート対象 |
| Slack Webhook | サポート対象 | サポート対象 |
| Splunk HEC | サポート対象 | サポート対象 |
| 一般的なWebhook | サポート対象 | サポート対象 |
データ形式
Equinixイベントとメトリクスは、すべてのデータにCloudEvents仕様形式またはOpenTelemetry仕様形式を使用します。イベントデータスキーマ、メトリクスデータスキーマ、データタイプはすべて、GitHubリポジトリで公開されています。/equinix/equinix-cloudevents
例:
- CloudEvent
- CloudEvents Metric
- OpenTelemetry Log
- OpenTelemetry Metric
---
specversion: '1.0'
source: https://api.equinix.com/fabric/v4/cloudevents
id: 6c573287-9914-4202-8b6d-2d15e7da04b8
type: equinix.fabric.metric
subject: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
time: '2024-07-01T20:12:21.306Z'
severitynumber: 9
severitytext: INFO
equinixproject: 123
dataschema: https://github.com/Fabric/.../ApiConfigEventData.json
datacontenttype: application/json
data:
message: New metrics collected
resource:
href: https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
uuid: 956a86fb-d03d-436c-8d5d-30d1f51f7688
name: my-test-port
description: port description
metrics:
- type: GAUGE
name: equinix.fabric.port.bandwidth_rx.usage
description: Port inbound bandwidth utilization
unit: bit/s
datapoints:
- endDateTime: '2024-07-01T20:12:21.000Z'
value: 440023
- type: SUM
name: equinix.fabric.port.packets_erred_tx.count
description: Port error packets
interval: PT5M
unit: packet
datapoints:
- endDateTime: '2024-07-01T20:12:21.000Z'
value: 10
{
"specversion": "1.0",
"source": "https://api.equinix.com/fabric/v4/cloudevents",
"id": "16c7e20a-d147-40c4-81ad-f60d25548aad",
"time": "2026-06-24T20:20:59.000Z",
"type": "equinix.fabric.metric",
"subject": "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688",
"dataschema": "https://equinix.github.io/equinix-cloudevents/jsonschema/equinix/fabric/v1/MetricEvent.json",
"datacontenttype": "application/json",
"severitynumber": "9",
"severitytext": "INFO",
"equinixproject": "123",
"data": {
"message": "Metrics collected",
"resource": {
"href": "https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688",
"uuid": "956a86fb-d03d-436c-8d5d-30d1f51f7688",
"type": "XF_PORT",
"state": "PROVISIONED"
},
"metrics": [
{
"type": "GAUGE",
"name": "equinix.fabric.port.bandwidth_rx.usage",
"unit": "bit/s",
"datapoints": [
{
"endDateTime": "2026-06-24T20:20:59.000Z",
"value": 179
}
]
},
{
"type": "GAUGE",
"name": "equinix.fabric.port.bandwidth_tx.usage",
"unit": "bit/s",
"datapoints": [
{
"endDateTime": "2026-06-24T20:20:59.000Z",
"value": 1711
}
]
}
]
}
}
---
resourceLogs:
- resource:
attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.specversion
value:
stringValue: '1.0'
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
scopeLogs:
- scope:
logRecords:
- timeUnixNano: '1719889941306000000'
severityNumber: 9
severityText: Information
body:
stringValue: '{"message":"Virtual port status changed to Up","resource":{"href":"https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688","uuid":"956a86fb-d03d-436c-8d5d-30d1f51f7688","name":"my-test-port","description":"port description"}}'
attributes:
- key: equinix.event.id
value:
stringValue: 6c573287-9914-4202-8b6d-2d15e7da04b8
- key: equinix.event.type
value:
stringValue: equinix.fabric.port.status.up
---
resourceMetrics:
- resource:
attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.specversion
value:
stringValue: '1.0'
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
scopeMetrics:
- scope:
metrics:
- name: equinix.fabric.port.bandwidth_rx.usage
description: Port inbound bandwidth utilization
unit: 'bit/s'
gauge:
dataPoints:
- attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
- key: equinix.event.resource.name
value:
stringValue: 'my-port-name'
timeUnixNano: '1719889941306000000'
asInt: 566
- name: equinix.fabric.port.packets_erred_tx.count
description: Port error packets
unit: packet
sum:
aggregationTemporality: 2 # required for sum https://github.com/open-telemetry/opentelemetry-proto/blob/v0.9.0/opentelemetry/proto/metrics/v1/metrics.proto#L230
dataPoints:
- attributes:
- key: service.name
value:
stringValue: Equinix
- key: equinix.event.source
value:
stringValue: https://api.equinix.com/fabric/v4/cloudevents
- key: equinix.event.subject
value:
stringValue: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- key: equinix.event.equinixproject
value:
stringValue: 123
- key: equinix.event.resource.name
value:
stringValue: 'my-port-name'
startTimeUnixNano: '1719889641306000000' # optional
timeUnixNano: '1719889941306000000'
asInt: 10
特定のデータコレクタ向けにこれらの形式のバリエーションを以下に示します。
前提条件
- サブスクリプションを作成するには、(STREAM_SUBSCRIPTION権限の作成および読み取り)ロールが必要です。
Fabric Stream Subscription Managerアクセスと役割を管理するには、会社管理者またはIAM管理者にお問い合わせください。
- Portal
- API
ポータルは、Splunk、Datadog、Microsoft Teams、PagerDuty のサブスクリプションの作成と管理をサポートします。
-
[カスタマーポータル]>[_ファブリックダッシュボード]_にサインインします。
-
[可視性]メニューから[データストリーム]を選択します。

-
_アクションドロップダウンメニュー_から、サブスクリプションの追加を選択します。

- 認証します。ユーザー認証情報、クライアントID、およびクライアントシークレットを送信してOauth2認証を行います。Equinix APIへのリクエストを認証する方法の詳細については、API認証を参照してください。
Subscription API URI/host 値は HTTPS のみをサポートし、自己署名証明書はサポートしません。
Datadog
Datadogサブスクリプションを作成するには、サブスクリプションの作成時にDatadog APIとアプリケーションキーが必要です。
Datadogと統合するためのセットアップガイドについては、EquinixコミュニティのDatadogの設定方法を参照してください。
- Portal
- API
_サブスクリプションの追加_ページで、以下を含むDatadog情報を入力します。
- a サブスクリプション名
- DatadogホストのURL
- Datadog API キー
- Datadog アプリケーションキー
- をクリックし、説明を入力してください(オプション)。

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``DATADOG - Datadogサイト参照テーブルを使用して、パラメータのサイトパラメータを検索します。
sink.host - Datadog APIキーとアプリケーションキーを入力します
サンプルcURLリクエスト:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<datadog_subscription_name>",
"description": "<datadog_subscription_desc>",
"sink": {
"host": "https://<datadog_site_parameter>",
"type": "DATADOG",
"credential": {
"type": "API_KEY",
"apiKey": "<datadog_api_key>"
},
"settings": {
"applicationKey": "<datadog_application_key>"
}
}
}'
Datadogデータの例
- Event
- Metric
---
date_happened: 1719864741 # in seconds
source_type_name: Equinix
aggregation_key: <aggregation_key>
title: 'Virtual port status changed to Up'
status: info # INFO->info, WARN -> warn, ERROR->error, CRITICAL->warn, FATAL->error, default: info
text: "{\"cloudevent\":{\"specversion\":\"1.0\",\"source\":\"https://api.equinix.com/fabric/v4/cloudevents\",\"id\":\"6c573287-9914-4202-8b6d-2d15e7da04b8\",\"type\":\"equinix.fabric.port.status.up\",\"subject\":\"/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688\",\"time\":\"2024-07-01T20:12:21.306Z\",\"severitynumber\":9,\"severitytext\":\"INFO\",\"equinixalert\":\"clear/<aggregation_key>\",\"equinixproject\":\"123\",\"data\":{\"message\":\"Virtual port status changed to Up\",\"resource\":{}}}}"
---
series:
- type: 3 # 0(unspecified), 1(count), 2(rate), 3(gauge)
metric: equinix.fabric.port.bandwidth_rx.usage
resources:
- type: subject
name: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- type: equinixproject
name: 123
unit: bit/s
points:
- timestamp: 1719889941
value: 440023
- type: 1
metric: equinix.fabric.port.packets_erred_tx.count
resources:
- type: subject
name: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
- type: equinixproject
name: 123
unit: packet
interval: 300 # in seconds
points:
- timestamp: 1719889941
value: 10
Google PubSub
Google Pub/Subサブスクリプションには、以下が必要です。
- トピックを作成します。
- Pub/SubのサービスアカウントにIAM権限を付与します。
- サブスクリプションを作成する際に、トピックのURLとサービスアカウントの認証情報を入力してください。
Google Pub/Subの設定ガイドについては、Equinixコミュニティの「Google Pub/Subの設定方法」を参照してください。
- Portal
- API
_[サブスクリプションの追加]_ページで、以下を含むGoogle Cloud PubSub情報を入力します。
- サブスクリプション名
- Google Cloud PubSubアクセストークン
- Google Cloud PubSubサブスクリプションのURI
- 説明(オプション)を入力してください。

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``GOOGLE_PUBSUB - Google Cloud PubSubアクセストークンとPubSubサブスクリプションのURLを入力します。
cURLリクエストのサンプル:
curl -X POST 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<gcp_pubsub_subscription_name>",
"description": "<gcp_pubsub_subscription_desc>",
"sink": {
"uri": "https://pubsub.googleapis.com/v1/projects/<gcp_project_name>/topics/<gcp_topic_name>:publish",
"type": "GOOGLE_PUBSUB",
"credential": {
"type": "ACCESS_TOKEN",
"accessToken": "<encoded_base64_service_account_json>"
}
}
}'
Grafana Webhook
Grafanaサブスクリプションを作成するには、受信Webhook用にGrafanaを作成して設定します。サブスクリプションを作成する際に、Grafana WebhookのURLとAPIキーを入力してください。
Grafanaの設定ガイドはEquinixコミュニティのGrafana Webhookの設定方法を参照してください。
- Portal
- API
_サブスクリプションの追加_ページで、以下を含むGrafana情報を入力します。
- サブスクリプション名。
- Grafana Metrics URI。
- Grafana イベント URI。
- あなたのGrafana APIキー。
- 任意の説明

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``WEBHOOK - GrafanaメトリクスのURI、イベントのURI、またはその両方を入力します。
- Grafana APIキーを入力してください。
サンプルcURLリクエスト:
curl -X POST 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<webhook_subscription_name>",
"description": "<webhook_subscription_desc>",
"enabled": true,
"sink": {
"type": "WEBHOOK",
"settings": {
"metricUri": "https://<grafana_oltp_endpoint>/otlp/v1/metrics",
"format": "OPENTELEMETRY"
},
"credential": {
"type": "API_KEY",
"apiKey": "<grafana_instance_id>:<grafana_api_key>"
}
}
}'
Microsoft Teams
Microsoft Teamsサブスクリプションを作成するには、Webhookリクエストを受信したときにメッセージを投稿するようにWebhookを作成して設定します。Webhookの設定が完了したら、サブスクリプションの作成時にHTTP POST URLを入力してください。
Microsoft Teamsのセットアップガイドについては、EquinixコミュニティでMicrosoft Teamsを設定する方法を参照してください。
- Portal
- API
[_サブスクリプションの追加]_ページで、以下を含むMicrosoft Teams情報を入力します。
- a サブスクリプション名
- Microsoft Workflow WebhookのURL
- をクリックし、説明を入力してください(オプション)。

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``TEAMS - Microsoft Workflow WebhookのURLを入力します。
サンプルcURLリクエスト:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<ms_teams_subscription>",
"description": "<ms_teams_subscription_desc>",
"sink": {
"uri": "<teams_webhook_uri>",
"type": "TEAMS"
}
}'
PagerDuty
PagerDutyサブスクリプションの場合は、イベントを処理するためのサービスとイベントAPIv2インテグレーションを作成します。サブスクリプションの作成時に、PagerDutyのURLと連携キーを入力してください。
PagerDutyの設定ガイドについては、Equinixコミュニティの「PagerDutyの設定方法」を参照してください。
- Portal
- API
_[サブスクリプションの追加]_ページで、以下のPagerDuty情報を入力します。
- a サブスクリプション名
- あなたのPagerDutyホストURL
- PagerDuty統合キー
- をクリックし、説明を入力してください(オプション)。

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``PAGERDUTY - PagerDutyホストのURLと連携キーを入力します。
サンプルcURLリクエスト:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<pagerduty_subscription_name>",
"description": "<pagerduty_subscription_desc>",
"sink": {
"host": "https://events.pagerduty.com",
"type": "PAGERDUTY",
"credential": {
"type": "INTEGRATION_KEY",
"integrationKey": "<pagerduty_integration_key>"
}
}
}'
PagerDutyデータの例
- Event
---
routing_key: <routing_key>
dedup_key: <dedup_key>
event_action: trigger # or resolve
payload:
source: Equinix
timestamp: '2024-07-01T20:12:21.306Z'
severity: critical
summary: Virtual port status changed to Down
custom_details:
equinixsource: https://api.equinix.com/fabric/v4/cloudevents
specversion: '1.0'
id: <uuid>
type: equinix.fabric.port.status.down
subject: /fabric/v4/ports/<port_uuid>
time: '2024-07-01T20:12:21.306Z'
severitynumber: 21
severitytext: FATAL # or INFO
equinixalert: raise/<dedup_key>
equinixproject: 123
今すぐサービス
ServiceNowサブスクリプションには、ServiceNowのユーザー名とパスワードが必要です。
- Portal
- API
_[サブスクリプションの追加]_ページで、次のようなServiceNow情報を入力します。
- サブスクリプション名。
- ServiceNowホストURL。
- ServiceNowのユーザー名です。
- ServiceNowのパスワード
- 任意の説明

ServiceNowサブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``SERVICENOW - ServiceNowホストのURL、ユーザー名、パスワードを入力します。
サンプルcURLリクエスト:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<servicenow_subscription_name>",
"description": "<servicenow_subscription_desc>",
"sink": {
"host": "https://<host>.service-now.com",
"type": "SERVICENOW",
"settings": {
"source": "<source_name>"
},
"credential": {
"type": "USERNAME_PASSWORD",
"username": "<servicenow-username>",
"password": "<servicenow-password>"
}
}
}'
ServiceNowデータの例
- Event
- Metric
---
source: Equinix
time_of_event: '2024-07-01T20:12:21.306Z'
description: Virtual port status changed to Down
severity: 1 # 1 for clear and 0 for clear
resolution_state: New # or Closing
message_key: NCAB543WC4lrLpET8nLX4Vd8
resource: fabric.port
node: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
type: equinix.fabric.port.status.down
additional_info: '{"cloudevent":{"specversion":"1.0","source":"https://api.equinix.com/fabric/v4/cloudevents","id":"6c573287-9914-4202-8b6d-2d15e7da04b8","type":"equinix.fabric.port.status.down","subject":"/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681","time":"2024-07-01T20:12:21.306Z","severitynumber":13,"severitytext":"CRITICAL","equinixalert":"raise/NCAB543WC4lrLpET8nLX4Vd8","equinixproject":"123","data":{"message":"Virtual port named \'Test-port\' status changed to Down","resource":{}}}}'
---
- timestamp: 1719889941306000. #mili sec
source: Equinix
resource_path: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
metric_type: equinix.fabric.port.bandwidth_rx.utilization
value: 70.5
ci2metric_id:
type: GAUGE
subject: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
equinixproject: 123
unit: "%"
- timestamp: 1719889941306000 #mili sec
source: Equinix
resource_path: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
metric_type: equinix.fabric.port.packets_erred_tx.count
value: 70.5
ci2metric_id:
type: GAUGE
interval: PT5M
subject: "/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7681"
equinixproject: 123
unit: "%"
Slack
Slackのサブスクリプションには、Webhook固有のURLが必要です。受信Webhook用のSlackアプリを作成して設定するをご覧ください。
Slackと連携するための設定ガイドについては、Equinixコミュニティの「Slackの設定方法」を参照してください。
- Portal
- API
[_サブスクリプションの追加]_ページで、以下を含むSlack情報を入力します。
- サブスクリプション名
- サブスクリプションのURI
- 説明(任意)

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``SLACK - SlackサブスクリプションのURLを入力します。
サンプルcURLリクエスト:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<slack_subscription_name>",
"description": "<slack_subscription_desc>",
"sink": {
"uri": "<slack_webhook_uri>",
"type": "SLACK"
}
}'
Splunk
Splunkサブスクリプションを作成するには、イベントを受信するためのイベントインデックス、メトリクスを受信するためのメトリクスインデックス、またはその両方を作成してから、HTTPイベントコレクタを作成します。サブスクリプションの作成時に、HTTPイベントコレクタのURI'HTTPイベントコレクタのトークン'およびインデックスの名前を入力します。
Splunkと連携するための設定ガイドについては、Equinixコミュニティの「Splunkの設定方法」を参照してください。
- Portal
- API
_[サブスクリプションの追加]_ページで、以下を含むSplunk情報を入力します。
- a サブスクリプション名
- Splunk HTTP イベントコレクターの URI
- Splunk アクセストークン
- Splunk イベントインデックス (必須)
- Splunk にメトリクスを取り込む場合は、Splunk Metrics Index を参照してください。
- をクリックし、説明を入力してください(オプション)。

サブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
リクエスト本文のオブジェクト内sink:
- としてを指定します。
type``SPLUNK_HEC - Splunk HTTPイベントコレクタのURLを入力します。
- Splunkイベントインデックス(必須)とSplunkメトリクスインデックス(任意)を入力します。
- Splunkアクセストークンを入力してください。
サンプルcURLリクエスト:
curl -X 'POST' 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<splunk_subscription_name>",
"description": "<splunk_subscription_desc>",
"sink": {
"uri": "https://http-inputs-<host>.splunkcloud.com:<port>/services/collector/event",
"type": "SPLUNK_HEC",
"settings": {
"eventIndex": "<name_of_eventIndex>",
"metricIndex": "<name_of_metricIndex>",
"source": "<name_of_splunk_hec>"
},
"credential": {
"type": "ACCESS_TOKEN",
"accessToken": "Splunk <Splunk AccessToken>"
}
}
}'
Splunkデータの例
- Event
- Metric
---
sourcetype: _json
index: test-event-index
source: equinix # optional
event:
equinixsource: https://api.equinix.com/fabric/v4/cloudevents
specversion: '1.0'
id: 6c573287-9914-4202-8b6d-2d15e7da04b8
type: equinix.fabric.port.status.up
subject: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
time: '2024-07-01T20:12:21.306Z'
severitynumber: 9
severitytext: INFO
equinixalert: clear/NCAB543WC4lrLpET8nLX4Vd8
equinixproject: 123
data:
message: Virtual port status changed to Up
resource:
href: https://api.equinix.com/fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
uuid: 956a86fb-d03d-436c-8d5d-30d1f51f7688
name: my-test-port
description: port description
---
time: 1719889941.306
event: metric
index: test-index-metric
source: Equinix # Optional
fields:
subject: /fabric/v4/ports/956a86fb-d03d-436c-8d5d-30d1f51f7688
equinixproject: 123
"metric_name:equinix.fabric.port.bandwidth_rx.usage": 440023
"metric_name:equinix.fabric.port.packets_erred_tx.count": 10
汎用Webhook
Equinixは、CloudEvent仕様形式またはOpenTelemetry仕様形式のいずれかで、イベントとメトリクスの汎用Webhookサービスへのサブスクリプションの作成をサポートしています。
イベントのURIまたはメトリクスのURIを含める必要があります。イベントとメトリクスの両方をストリーム配信するには、イベントURIとメトリクスの両方を提供する必要があります。これらのフィールドのいずれか1つだけを指定すると、対応するデータタイプ(イベントまたはメトリクス)のみが移行先プラットフォームに送信されます。
- Portal
- API
_[サブスクリプションの追加]_ページで、以下を含むWebhook情報を入力します。
- サブスクリプション名
- ストリーミング・データ用にCloudEvent形式またはOpen Telemetry形式のいずれかを選択します。
- イベントURI
- メトリックURI
- 認証タイプを、認証なし、ユーザー名/パスワード、アクセストークン、またはAPIキーのオプションから選択します。表示されたフィールドに関連情報を入力します。
- また、説明を入力してください(オプション)。

Webhookサブスクリプションを作成するには、エンドポイントにリクエストを/fabric/v4/streams/<streamId>/subscriptions送信します。POSTリクエストのパスでストリームIDを指定します。stream
sinkリクエスト本文のオブジェクトで、sinkタイプに必要なフィールドを入力します。以下を含む:
- としてを指定します。
type``WEBHOOK - イベントURI/メトリクスURI/またはその両方を入力します。形式を指定してください。
- ユーザー名/パスワード、アクセストークン、APIキーのオプションなど、関連する認証情報を提供します。認証が不要な場合は、オブジェクトを省略できます。
credentials
サンプルcURLリクエスト:
curl -X POST 'https://api.equinix.com/fabric/v4/streams/<streamId>/subscriptions' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <Bearer Token>' \
-d '{
"type": "STREAM_SUBSCRIPTION",
"name": "<webhook_subscription_name>",
"description": "<webhook_subscription_desc>",
"enabled": true,
"sink": {
"type": "WEBHOOK",
"settings": {
"eventUri": "<webhook_uri>",
"metricUri": "<webhook_uri>",
"format": "<format>"
}
}
}'